const system=require("../../system");
const Dao=require("../dao.base");
class ApiTradeDao extends Dao{
  constructor(){
    super(Dao.getModelName(ApiTradeDao));
  }
  // extraWhere(obj,w){
  //    if(obj.codepath && obj.codepath!=""){
  //      if(obj.codepath.indexOf("mytraderecord")>0){//说明是普通用户的交易查询
  //         w["user_id"]=obj.uid;
  //      }
  //    }
  //    return w;
  // }
  async create(tradeobj,t){
      var trade=await super.create(tradeobj,t)
      return trade;
  }

}
module.exports=ApiTradeDao;
